Mailinglist Archive: opensuse (4343 mails)

< Previous Next >
Re: [SLE] library dependency?
  • From: zentara <zentara@xxxxxxxxxxx>
  • Date: Tue, 5 Nov 2002 07:17:15 -0500
  • Message-id: <20021105071715.69f2e2d6.zentara@xxxxxxxxxxx>
On Tue, 05 Nov 2002 11:41:28 GMT
John Pettigrew <john@xxxxxxxxxxxxxxxx> wrote:

>In a previous message, zentara wrote:
>
>> On Mon, 04 Nov 2002 20:57:01 GMT
>> John Pettigrew <john@xxxxxxxxxxxxxxxx> wrote:
>>
>> > jpilot complains (when I try to install the rpm) that it needs
>> > libcrypto.so.0.
>[snip]
>> > The relevant file is present in /usr/lib (symlink to libcrypto.so.0.9.6)
>>
>> Yeah, this happens with alot of apps.
>>
>> Go into /usr/lib and make symlinks
>
>But, as I said, there seems to be such a file already. Should I replace it?
>Why is the system not picking this up?

Maybe try doing a ldconfig to update the ld cache?
Maybe the app is "hardwired" to look for the lib in /usr/local/lib
instead of /usr/lib.
Try making symlinks in /usr/local/lib then do a ldconfig.


--
use Perl; #powerful programmable prestidigitation

< Previous Next >
Follow Ups